---
- hosts: node
  gather_facts: false
  tasks:
    - name: Check IP address availability
      shell: ping -c 1 10.10.43.{{ item }}
      register: ping_result
      failed_when: false
      changed_when: false
      with_sequence: start=100 end=150

    - name: Check IP Status
      failed_when: false
      changed_when: false
      debug:
        #msg: "현재 응답이 없음으로 10.10.43.{{ item.item }} 해당 IP는 사용할 수 있는 IP 입니다"
        msg: "{{ item.item }}"
      with_items: "{{ ping_result.results }}"
      loop_control:
        label: "{{ item.item }}"
      when: "'100% packet loss' in item.stdout"
